Skip to content
GitHub

The CycloneDX SBOM of one image of the app's current release (gzip-encoded JSON).

GET
/api/v1/projects/{project}/environments/{environment}/apps/{app}/sbom/{digest}
curl --request GET \
--url https://example.com/api/v1/projects/example/environments/example/apps/example/sbom/example
project
required
string

Project name

environment
required
string

Environment short name

app
required
string

App name

digest
required
string

Image digest (sha256:…)

CycloneDX JSON, Content-Encoding: gzip

Media typeapplication/vnd.cyclonedx+json
Media typeapplication/json

Problem Details body.

object
code
required

Stable machine-readable code, e.g. forbidden.

string
title
required

Short human readable title.

string
status
required

HTTP status.

integer format: int32
detail

Details, if safe to expose.

string | null
Example
{
"code": "forbidden"
}